File: configure.in

package info (click to toggle)
libxfcegui4 4.10.0-3
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 4,868 kB
  • ctags: 2,783
  • sloc: ansic: 22,658; sh: 11,187; makefile: 510
file content (241 lines) | stat: -rw-r--r-- 8,785 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
dnl
dnl This file was autogenerated from "configure.in.in".
dnl Edit that file instead!
dnl

dnl $Id$
dnl
dnl Copyright (c) 2002-2011
dnl         The Xfce development team. All rights reserved.
dnl

dnl ***************************
dnl *** Version information ***
dnl ***************************
m4_define([libxfcegui4_verinfo], [7:0:3])
m4_define([libxfcegui4_version_major], [4])
m4_define([libxfcegui4_version_minor], [10])
m4_define([libxfcegui4_version_micro], [0])
m4_define([libxfcegui4_version_nano], [])   dnl leave this empty to have no nano version
m4_define([libxfcegui4_version_build], [83e7bc6])
m4_define([libxfcegui4_version_tag], [])
m4_define([libxfcegui4_version], [libxfcegui4_version_major().libxfcegui4_version_minor().libxfcegui4_version_micro()ifelse(libxfcegui4_version_nano(), [], [], [.libxfcegui4_version_nano()])ifelse(libxfcegui4_version_tag(), [git], [libxfcegui4_version_tag()-libxfcegui4_version_build()], [libxfcegui4_version_tag()])])


dnl # DO NOT MODIFY ANYTHING BELOW THIS LINE, UNLESS YOU KNOW WHAT
dnl # YOU ARE DOING.


dnl *******************************************
dnl *** Debugging support for GIT snapshots ***
dnl *******************************************
m4_define([libxfcegui4_debug_default], [ifelse(libxfcegui4_version_tag(), [git], [yes], [minimum])])

dnl ***************************
dnl *** Initialize autoconf ***
dnl ***************************
AC_COPYRIGHT([Copyright (c) 2002-2011 The Xfce development team. All rights reserved.])
AC_INIT([libxfcegui4], [libxfcegui4_version], [xfce4-dev@xfce.org])
AC_PREREQ([2.50])
AC_REVISION([$Id$])

dnl ***************************
dnl *** Initialize automake ***
dnl ***************************
LIBXFCEGUI4_VERSION=libxfcegui4_version()
AM_INIT_AUTOMAKE([libxfcegui4], [$LIBXFCEGUI4_VERSION])
AM_CONFIG_HEADER([config.h])
AM_MAINTAINER_MODE
m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])

dnl *******************************************
dnl *** Libtool versioning from libxfcegui4 ***
dnl *******************************************
LIBXFCEGUI4_VERINFO=libxfcegui4_verinfo()
AC_SUBST([LIBXFCEGUI4_VERINFO])

dnl *********************************
dnl *** Subst libxfcegui4 version ***
dnl *********************************
LIBXFCEGUI4_VERSION_MAJOR=libxfcegui4_version_major()
LIBXFCEGUI4_VERSION_MINOR=libxfcegui4_version_minor()
LIBXFCEGUI4_VERSION_MICRO=libxfcegui4_version_micro()
AC_SUBST([LIBXFCEGUI4_VERSION_MAJOR])
AC_SUBST([LIBXFCEGUI4_VERSION_MINOR])
AC_SUBST([LIBXFCEGUI4_VERSION_MICRO])

dnl *******************************
dnl *** Check for UNIX variants ***
dnl *******************************
AC_AIX
AC_ISC_POSIX
AC_MINIX
AM_CONDITIONAL([HAVE_CYGWIN], [test "`uname | grep \"CYGWIN\"`" != ""])

dnl ********************************
dnl *** Check for basic programs ***
dnl ********************************
AC_PROG_CC()
AC_PROG_INSTALL()
AC_PROG_LIBTOOL()
AC_PROG_INTLTOOL([0.31], [no-xml])

dnl ************************************************
dnl *** Check for standard headers and functions ***
dnl ************************************************
AC_STDC_HEADERS()
AC_CHECK_HEADERS([fcntl.h limits.h stdarg.h stddef.h time.h varargs.h])
AC_CHECK_FUNCS([setsid _NSGetEnviron])
AC_CHECK_DECLS([environ])

dnl ******************************
dnl *** Check for i18n support ***
dnl ******************************
XDT_I18N([am ar ast be bn_IN ca cs cy da de dz el en_GB eo es et eu fa fi fr gl gu he hr hu hy id is it ja ka kk ko ku lt lv mk mr nb nl nn pa pl pt_BR pt ro ru si sk sq sv ta te tl_PH tr ug uk ur_PK ur zh_CN zh_TW ])

dnl *******************************************
dnl *** Check for X Window System installed ***
dnl *******************************************
XDT_CHECK_LIBX11_REQUIRE
XDT_CHECK_LIBSM

dnl ***********************************
dnl *** Check for required packages ***
dnl ***********************************
XDT_CHECK_PACKAGE([GTK], [gtk+-2.0], [2.10.0])
XDT_CHECK_PACKAGE([LIBXFCE4UTIL], [libxfce4util-1.0], [4.8.0])

dnl ***********************************
dnl *** Check for optional packages ***
dnl ***********************************
XDT_CHECK_OPTIONAL_PACKAGE([LIBSTARTUP_NOTIFICATION],
                           [libstartup-notification-1.0],
                           [0.5], [startup-notification],
                           [startup notification library])


dnl glade/libglade integration -- libglade is required, as the xfce
dnl settings dialogs use glade to create XfceTitledDialogs.  libgladeui
dnl is for developers, and adds the widgets to the glade editor, and
dnl so is optional

XDT_CHECK_PACKAGE([LIBGLADE], [libglade-2.0], [2.0.0])
AC_ARG_WITH([libglade-module-path],
            [AC_HELP_STRING([--with-libglade-module-path=PATH],
                            [Specify where to install the libglade module (default=autodetect)])],
            [LIBGLADE_MODULE_DIR="$withval"],
            [LIBGLADE_MODULE_DIR="`$PKG_CONFIG libglade-2.0 --variable=moduledir`"])
AC_SUBST([LIBGLADE_MODULE_DIR])

XDT_CHECK_OPTIONAL_PACKAGE([GLADEUI], [gladeui-1.0], [3.0.0], [gladeui],
                           [glade interface designer integration])
AC_ARG_WITH([gladeui-data-root],
            [AC_HELP_STRING([--with-gladeui-data-root=PATH],
                            [Specify where to install glade designer data files (default=autodetect)])],
            [gladeui_data_root="$withval"])
AC_ARG_WITH([gladeui-module-path],
            [AC_HELP_STRING([--with-gladeui-module-path=PATH],
                            [Specify where to install glade designer modules (default=autodetect)])],
            [gladeui_module_path="$withval"])
if test "x$GLADEUI_FOUND" = "xyes"; then
    if test "x$gladeui_data_root" = "x"; then
        GLADEUI_CATALOG_DIR="`$PKG_CONFIG gladeui-1.0 --variable=catalogdir`"
        GLADEUI_PIXMAP_DIR="`$PKG_CONFIG gladeui-1.0 --variable=pixmapdir`"
    else
        GLADEUI_CATALOG_DIR="$gladeui_data_root/catalogs"
        GLADEUI_PIXMAP_DIR="$gladeui_data_root/pixmaps"
    fi

    if test "x$gladeui_module_path" = "x"; then
        GLADEUI_MODULE_DIR="`$PKG_CONFIG gladeui-1.0 --variable=moduledir`"
    else
        GLADEUI_MODULE_DIR="$gladeui_module_path"
    fi
    
    dnl this is retarded.  glade 3.4.0 changed the pixmap dir layout
    GLADEUI_MAJOR="`echo $GLADEUI_VERSION | cut -d. -f1`"
    GLADEUI_MINOR="`echo $GLADEUI_VERSION | cut -d. -f2`"
    if test $GLADEUI_MAJOR -gt 3 || test $GLADEUI_MAJOR -eq 3 -a $GLADEUI_MINOR -ge 4; then
        have_gladeui_pixmap_themes=yes
    fi
else
    GLADEUI_CATALOG_DIR=
    GLADEUI_PIXMAP_DIR=
    GLADEUI_MODULE_DIR=
fi
AC_SUBST(GLADEUI_CATALOG_DIR)
AC_SUBST(GLADEUI_PIXMAP_DIR)
AC_SUBST(GLADEUI_MODULE_DIR)
AM_CONDITIONAL([HAVE_GLADEUI], [test "x$GLADEUI_FOUND" = "xyes"])
AM_CONDITIONAL([HAVE_GLADEUI_PIXMAP_THEMES], [test "x$have_gladeui_pixmap_themes" = "xyes"])

dnl *************************
dnl *** Check for gtk-doc ***
dnl *************************
GTK_DOC_CHECK([1.0])
                                                                                
dnl ***********************************
dnl *** Check for debugging support ***
dnl ***********************************
XDT_FEATURE_DEBUG([libxfcegui4_debug_default])

dnl **************************************
dnl *** Check for linker optimizations ***
dnl **************************************
XDT_FEATURE_LINKER_OPTS()

dnl *********************************
dnl *** Substitute platform flags ***
dnl *********************************
AC_MSG_CHECKING([PLATFORM_CPPFLAGS])
AC_MSG_RESULT([$PLATFORM_CPPFLAGS])
AC_SUBST([PLATFORM_CPPFLAGS])
AC_MSG_CHECKING([PLATFORM_CFLAGS])
AC_MSG_RESULT([$PLATFORM_CFLAGS])
AC_SUBST([PLATFORM_CFLAGS])
AC_MSG_CHECKING([PLATFORM_LDFLAGS])
AC_MSG_RESULT([$PLATFORM_LDFLAGS])
AC_SUBST([PLATFORM_LDFLAGS])

AC_OUTPUT([
Makefile
docs/version.xml
docs/Makefile
glade/Makefile
glade/16x16/Makefile
glade/22x22/Makefile
icons/Makefile
icons/48x48/Makefile
icons/scalable/Makefile
libxfcegui4.spec
libxfcegui4/libxfcegui4-1.0.pc
libxfcegui4/libxfcegui4-config.h
libxfcegui4/Makefile
po/Makefile.in
])

dnl ***************************
dnl *** Print configuration ***
dnl ***************************
echo
echo "Build Configuration:"
echo
echo "* Installation prefix:       $prefix"
echo "* Debug Support:             $enable_debug"
echo "* Libglade module directory: $LIBGLADE_MODULE_DIR"
if test x"$GLADEUI_FOUND" = x"yes"; then
echo "* GladeUI support:           yes"
echo "* GladeUI module directory:  $GLADEUI_MODULE_DIR"
else
echo "* GladeUI support:           no"
fi
if test x"$enable_keyboard_library" = x"yes"; then
echo "* Keyboard library support:  yes"
else
echo "* Keyboard library support:  no"
fi
if test x"$LIBSTARTUP_NOTIFICATION_FOUND" = x"yes"; then
echo "* Startup Notification:      yes"
else
echo "* Startup Notification:      no"
fi